org.richfaces.fragment.calendar

## Class TimeSpinner<T>

- java.lang.Object
- - org.richfaces.fragment.calendar.TimeSpinner<T>

- Type Parameters:
    `T` - type of value
  Direct Known Subclasses:
    TimeSpinner.TimeSignSpinner, TimeSpinner.TimeSpinner60

      public abstract class TimeSpinner<T>
      extends Object

  Abstract class for spinner component.
  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TimeSpinner.TimeSign`
    `static class` | `TimeSpinner.TimeSignSpinner`
    `static class` | `TimeSpinner.TimeSpinner12`
    `static class` | `TimeSpinner.TimeSpinner24`
    `static class` | `TimeSpinner.TimeSpinner60`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeSpinner()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebElement` | `getButtonDownElement()`
    `org.openqa.selenium.WebElement` | `getButtonUpElement()`
    `TextInputComponentImpl` | `getInput()`
    `protected org.openqa.selenium.WebElement` | `getRootElement()`
    `abstract T` | `getValue()` Returns value set in this spinner
    `protected boolean` | `isSameValueAreadySet(T value)`
    `boolean` | `isVisible()`
    `void` | `setValueBy(T value, TimeEditor.SetValueBy by)`
    `abstract void` | `setValueByButtons(T value)` Sets spinner's value by clicking on the buttons
    `void` | `setValueByTyping(T value)` Sets spinner value by direct input writing
    `void` | `waitUntilIsVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeSpinner

          public TimeSpinner()

  - ### Method Detail

    - #### getButtonDownElement

          public org.openqa.selenium.WebElement getButtonDownElement()

    - #### getButtonUpElement

          public org.openqa.selenium.WebElement getButtonUpElement()

    - #### getInput

          public TextInputComponentImpl getInput()

    - #### getValue

          public abstract T getValue()

      Returns value set in this spinner
      Returns:

    - #### isSameValueAreadySet

          protected boolean isSameValueAreadySet(T value)

    - #### isVisible

          public boolean isVisible()

    - #### setValueBy

          public void setValueBy(T value,
                                 TimeEditor.SetValueBy by)

    - #### setValueByButtons

          public abstract void setValueByButtons(T value)

      Sets spinner's value by clicking on the buttons
      Parameters:
        `value` - value to be set

    - #### setValueByTyping

          public void setValueByTyping(T value)

      Sets spinner value by direct input writing
      Parameters:
        `value` - value to be set

    - #### waitUntilIsVisible

          public void waitUntilIsVisible()

    - #### getRootElement

          protected org.openqa.selenium.WebElement getRootElement()

      Returns:
        the root

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.